Skip to main content
POST
/
activities
/
no-activity
Mark no activity
curl --request POST \
  --url https://app.azalt.co/api/v1/activities/no-activity \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "formId": "<string>",
  "key": "<string>",
  "siteId": "<string>",
  "year": 123,
  "periodUnit": 123
}
'
{
  "id": "<string>",
  "formSubmissionId": "<string>",
  "formElementId": "<string>",
  "periodUnit": 123,
  "sequence": 123,
  "status": "COMPLETED",
  "value": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.azalt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
formId
string
required
key
string
required
siteId
string
required
year
number
required
periodUnit
number
required

Response

Successful response

id
string
required
formSubmissionId
string
required
formElementId
string
required
periodUnit
number
required
sequence
number
required
status
enum<string>
required
Available options:
COMPLETED,
APPROVED,
REJECTED
value
any